// Missa Prolationum, Kyrie
// Kyrie II -- Altus

// vowels
0 => int ee;
1 => int ih;
2 => int eh;
3 => int aa;
4 => int ah;
5 => int aw;
6 => int oh;
7 => int uh;
8 => int uu;
9 => int oo;

100 => int nNotes;

int alto [nNotes][3];

[N.C5, 24, ee] @=> alto[0];
[N.A4, 24, ee] @=> alto[1];
[N.C5, 24, ee] @=> alto[2];
[N.F5, 24, eh] @=> alto[3];
[0, 24, 0] @=> alto[4];
[N.F5, 24, eh] @=> alto[5];
[N.C5, 8, eh] @=> alto[6];
[N.D5, 8, eh] @=> alto[7];
[N.E5, 8, eh] @=> alto[8];
[N.F5, 8, eh] @=> alto[9];
[N.A5, 6, eh] @=> alto[10];
[N.G5, 2, eh] @=> alto[11];
[N.F5, 8, eh] @=> alto[12];
[N.E5, 8, oh] @=> alto[13];
[0, 8, 0] @=> alto[14];
[N.E5, 8, eh] @=> alto[15];
[N.F5, 6, eh] @=> alto[16];
[N.G5, 2, eh] @=> alto[17];
[N.A5, 4, eh] @=> alto[18];
[N.A5, 8, eh] @=> alto[19];
[N.F5, 4, eh] @=> alto[20];
[N.E5, 4, eh] @=> alto[21];
[N.A5, 6, eh] @=> alto[22];
[N.G5, 2, eh] @=> alto[23];
[N.F5, 8, eh] @=> alto[24];
[N.E5, 4, eh] @=> alto[25];
[N.F5, 8, oh] @=> alto[26];
[0, 8, 0] @=> alto[27];
[N.F5, 6, ee] @=> alto[28];
[N.G5, 2, ee] @=> alto[29];
[N.A5, 16, ee] @=> alto[30];
[N.G5, 8, eh] @=> alto[31];
[0, 4, 0] @=> alto[32];
[N.F5, 6, eh] @=> alto[33];
[N.E5, 2, eh] @=> alto[34];
[N.C5, 4, eh] @=> alto[35];
[N.D5, 8, eh] @=> alto[36];
[N.C5, 8, oh] @=> alto[37];
[0, 8, 0] @=> alto[38];
[N.G5, 8, ee] @=> alto[39];
[N.A5, 12, ee] @=> alto[40];
[N.G5, 4, ee] @=> alto[41];
[N.F5, 6, ee] @=> alto[42];
[N.D5, 2, ee] @=> alto[43];
[N.E5, 4, ee] @=> alto[44];
[N.F5, 4, oh] @=> alto[45];
[0, 4, 0] @=> alto[46];
[N.D5, 6, eh] @=> alto[47];
[N.B4, 2, eh] @=> alto[48];
[N.C5, 4, eh] @=> alto[49];
[N.F4, 4, eh] @=> alto[50];
[N.C5, 4, eh] @=> alto[51];
[N.D5, 4, eh] @=> alto[52];
[N.B4, 4, eh] @=> alto[53];
[N.A4, 4, eh] @=> alto[54];
[N.D4, 4, eh] @=> alto[55];
[N.E5, 4, eh] @=> alto[56];
[N.F5, 8, eh] @=> alto[57];
[N.D5, 2, eh] @=> alto[58];
[N.C5, 32, oh] @=> alto[59];
0 => int cnt;

Step freq => Faustfmv altoVox => dac.left;
TriOsc lfo => altoVox;

altoVox.set ("portf0", 0.02 );
altoVox.set ("portv",Std.rand2f(0.03, 0.05) );
altoVox.set ("porta", 0.04 );

altoVox.set ("tilt", 0.04 );
altoVox.set ("portt", 0.01 );

true => int playing;

while (playing)
{
    alto[cnt][0] => int pit;
    alto[cnt][1] => int duration;
    alto[cnt][2] => int vow;
    
    if (pit == 0)
    {
        altoVox.set("amp", 0.0 );
    }
    else
    {
        altoVox.set("amp", 0.1 );
    }
    
    freq.next( Std.mtof(pit) );
    lfo.freq( Math.rand2f (6, 6.01) );
    lfo.gain(pit * (Math.pow( 2, ( Math.rand2f (1.5,1.5) ) /12 ) -1.0));    
    
    altoVox.set("vow", vow );
    cnt++;
    if(cnt == nNotes)
    {
        false => playing;
    }
    
    (duration-1)/6  => duration;
    duration::second => now;
}

