// Missa Prolationum -- Kyrie
// Kyrie I, Bass

0 => int ee;
1 => int ih;
2 => int eh;
3 => int aa;
4 => int ah;
5 => int aw;
6 => int oh;
7 => int uh;
8 => int uu;
9 => int oo;

100 => int nNotes;

int bass [nNotes][3];

[53, 24, ee] @=> bass[0];
[57, 12, ee] @=> bass[1];
[53, 16, ee] @=> bass[2];
[60, 24, eh] @=> bass[3];
[57, 12, eh] @=> bass[4];
[53, 16, eh] @=> bass[5];
[48, 16, oh] @=> bass[6];
[60, 16, ee] @=> bass[7];
[57, 16, ee] @=> bass[8];
[55, 16, ee] @=> bass[9];
[57, 8, ee] @=> bass[10];
[53, 8, ee] @=> bass[11];
[60, 16, ee] @=> bass[12];
[62, 16, ee] @=> bass[13];
[60, 16, ee] @=> bass[14];
[53, 8, ee] @=> bass[15];
[57, 8, ee] @=> bass[16];
[55, 6, ee] @=> bass[17];
[53, 4, eh] @=> bass[18];
[50, 8, eh] @=> bass[19];
[57, 12, eh] @=> bass[20];
[58, 4, eh] @=> bass[21];
[60, 8, eh] @=> bass[22];
[57, 8, eh] @=> bass[23];
[0, 4, eh] @=> bass[24];
[58, 8, eh] @=> bass[25];
[57, 4, eh] @=> bass[26];
[60, 8, oh] @=> bass[27];
[53, 16, oh] @=> bass[28];
[53, 8, oh] @=> bass[29];
[46, 16, ee] @=> bass[30];
[53, 24, ee] @=> bass[31];

0 => int cnt;

Step freq => Faustfmv bassVox => dac;
TriOsc lfo => bassVox;

bassVox.set ("portf0", Std.rand2f(0.02, 0.06) );
bassVox.set ("portv", Std.rand2f(0.05, 0.06) );
bassVox.set ("porta", Std.rand2f(0.05, 0.01) );

bassVox.set ("tilt", Std.rand2f(0, 0.02) );
bassVox.set ("portt", Std.rand2f(0.01, 0.02) );

true => int playing;

while (playing)
{
    bass[cnt][0] => int pit;
    bass[cnt][1] => int duration;
    bass[cnt][2] => int vow;
    
    if (pit == 0)
    {
        bassVox.set("amp", 0.0 );
    }
    else
    {
        bassVox.set("amp", 0.1 );
    }
    
    freq.next( Std.mtof(pit) );
    lfo.freq( Math.rand2f (4, 6.05) );
    lfo.gain(pit * (Math.pow( 2, ( Math.rand2f (01.0,2.0) ) /12 ) -1.0));
    
    
    bassVox.set("vow", vow );
    cnt++;
    if(cnt == nNotes)
    {
        false => playing;
    }
    
    (duration-2)/5 => duration;
    duration::second => now;
}

