// Missa Prolationum -- Kyrie
// Kyrie I, Bass
// vowels
0 => int ee;
1 => int ih;
2 => int eh;
3 => int aa;
4 => int ah;
5 => int aw;
6 => int oh;
7 => int uh;
8 => int uu;
9 => int oo;

100 => int nNotes;

int bass [nNotes][3];

[57, 32, ee] @=> bass[0];
[53, 16, ee] @=> bass[1];
[57, 16, ee] @=> bass[2];
[50, 16, eh] @=> bass[3];
[48, 8, eh] @=> bass[4];
[53, 6, eh] @=> bass[5];
[52, 2, eh] @=> bass[6];
[48, 8, oh] @=> bass[7];
[0, 8, 7] @=> bass[8];
[53, 8, eh] @=> bass[9];
[57, 4, eh] @=> bass[10];
[59, 4, 7] @=> bass[11];
[60, 8, 7] @=> bass[12];
[53, 8, 7] @=> bass[13];
[55, 8, 7] @=> bass[14];
[53, 24, oh] @=> bass[15];
[0, 8, 7] @=> bass[16];
[53, 8, ee] @=> bass[17];
[52, 8, ee] @=> bass[18];
[0, 4, 7] @=> bass[19];
[57, 8, ee] @=> bass[20];
[53, 8, ee] @=> bass[21];
[55, 4, ee] @=> bass[22];
[57, 6, ee] @=> bass[23];
[59, 2, ee] @=> bass[24];
[60, 4, ee] @=> bass[25];
[53, 4, ee] @=> bass[26];
[55, 8, eh] @=> bass[27];
[53, 12, eh] @=> bass[28];
[48, 4, eh] @=> bass[29];
[50, 8, eh] @=> bass[30];
[45, 4, eh] @=> bass[31];
[57, 6, eh] @=> bass[32];
[55, 2, eh] @=> bass[33];
[53, 4, eh] @=> bass[34];
[52, 8, oh] @=> bass[35];
[0, 4, 7] @=> bass[36];
[57, 8, ee] @=> bass[37];
[55, 4, ee] @=> bass[38];
[57, 4, ee] @=> bass[39];
[50, 4, ee] @=> bass[40];
[55, 4, ee] @=> bass[41];
[53, 4, ee] @=> bass[42];
[50, 4, eh] @=> bass[43];
[0, 4, 7] @=> bass[44];
[52, 4, eh] @=> bass[45];
[53, 4, eh] @=> bass[46];
[48, 4, eh] @=> bass[47];
[53, 4, eh] @=> bass[48];
[55, 4, eh] @=> bass[49];
[57, 4, eh] @=> bass[50];
[50, 4, eh] @=> bass[51];
[55, 4, eh] @=> bass[52];
[53, 4, eh] @=> bass[53];
[50, 8, eh] @=> bass[54];
[52, 8, eh] @=> bass[55];
[50, 4, eh] @=> bass[56];
[48, 4, eh] @=> bass[57];
[53, 4, eh] @=> bass[58];
[55, 4, eh] @=> bass[59];
[57, 8, eh] @=> bass[59];
[55, 4, eh] @=> bass[59];
[53, 6, eh] @=> bass[59];
[50, 2, eh] @=> bass[59];
[53, 4, eh] @=> bass[59];
[48, 8, eh] @=> bass[59];
[53, 32, oh] @=> bass[59];



0 => int cnt;

Step freq => Faustfmv bassVox => dac;
TriOsc lfo => bassVox;

bassVox.set ("portf0", Std.rand2f(0.02, 0.06) );
bassVox.set ("portv", Std.rand2f(0.05, 0.06) );
bassVox.set ("porta", Std.rand2f(0.05, 0.01) );

bassVox.set ("tilt", Std.rand2f(0, 0.02) );
bassVox.set ("portt", Std.rand2f(0.01, 0.02) );

true => int playing;

while (playing)
{
    bass[cnt][0] => int pit;
    bass[cnt][1] => int duration;
    bass[cnt][2] => int vow;
    
    if (pit == 0)
    {
        bassVox.set("amp", 0.0 );
    }
    else
    {
        bassVox.set("amp", 0.1 );
    }
    
    freq.next( Std.mtof(pit) );
    lfo.freq( Math.rand2f (4, 6.05) );
    lfo.gain(pit * (Math.pow( 2, ( Math.rand2f (0.5,1.5) ) /12 ) -1.0));
    
    
    bassVox.set("vow", vow );
    cnt++;
    if(cnt == nNotes)
    {
        false => playing;
    }
    
    (duration-3)/5 => duration;
    duration::second => now;
}

