// Missa Prolationum, Kyrie
// Christe I -- Superius

// vowels
0 => int ee;
1 => int ih;
2 => int eh;
3 => int aa;
4 => int ah;
5 => int aw;
6 => int oh;
7 => int uh;
8 => int uu;
9 => int oo;

58 => int nNotes;

int sop [nNotes][3];

[N.G5, 6, ee] @=> sop[0];
[N.E5, 4, ee] @=> sop[1];
[N.G5, 4, ee] @=> sop[2];
[N.A5, 6, ee] @=> sop[3];
[N.G5, 2, ee] @=> sop[4];
[N.E5, 4, ee] @=> sop[5];
[N.D5, 4, ee] @=> sop[6];
[N.G5, 4, ee] @=> sop[7];
[N.A5, 4, ee] @=> sop[8];
[N.C6, 4, ee] @=> sop[9];
[N.Bb5, 4, ee] @=> sop[10];
[N.D6, 6, ee] @=> sop[11];
[N.C6, 2, ee] @=> sop[12];
[N.A5, 4, ee] @=> sop[13];
[N.G5, 4, ee] @=> sop[14];
[N.Bb5, 6, ee] @=> sop[15];
[N.A5, 2, ee] @=> sop[16];
[N.F5, 2, ee] @=> sop[17];
[N.D5, 4, eh] @=> sop[18];
[0, 2, 0] @=> sop[19];
[N.G5, 2, eh] @=> sop[20];
[N.A5, 2, eh] @=> sop[21];
[N.Bb5, 4, eh] @=> sop[22];
[N.C6, 4, eh] @=> sop[23];
[N.D6, 2, eh] @=> sop[24];
[N.C6, 1, eh] @=> sop[25];
[N.A5, 1, eh] @=> sop[26];
[N.A5, 4, eh] @=> sop[27];
[N.G5, 2, eh] @=> sop[28];
[N.A5, 8, oh] @=> sop[29];
[0, 4, 0] @=> sop[30];
[N.A5, 8, 0] @=> sop[31];
[N.A5, 12, 0] @=> sop[32];
[N.C6, 4, 0] @=> sop[33];
[N.A5, 4, 0] @=> sop[34];
[N.Bb5, 4, 0] @=> sop[35];
[N.C6, 8, 0] @=> sop[36];
[N.Bb5, 4, 0] @=> sop[37];
[N.G5, 4, 0] @=> sop[38];
[N.A5, 4, 0] @=> sop[39];
[N.Bb5, 8, 0] @=> sop[40];
[N.A5, 4, 0] @=> sop[41];
[N.F5, 2, 0] @=> sop[42];
[N.G5, 3, 0] @=> sop[43];
[N.F5, 1, 0] @=> sop[44];
[N.E5, 1, 0] @=> sop[45];
[N.D5, 1, 0] @=> sop[46];
[N.C5, 3, 0] @=> sop[47];
[N.D5, 1, 0] @=> sop[48];
[N.E5, 4, 0] @=> sop[49];
[N.C5, 2, 0] @=> sop[50];
[N.D5, 4, 0] @=> sop[51];
[N.C5, 1, 0] @=> sop[52];
[N.Bb5, 1, 0] @=> sop[53];
[N.A4, 2, 0] @=> sop[54];
[N.D5, 4, 0] @=> sop[55];
[N.Db5, 2, 0] @=> sop[56];
[N.D5, 8, 0] @=> sop[57];

Step freq => Faustfmv sopVox => dac;

TriOsc lfo => sopVox;

sopVox.set ("portf0", Std.rand2f(0.009,0.009) );
sopVox.set ("portv", Std.rand2f(0.01,0.01) );
sopVox.set ("porta", Std.rand2f(0.01,0.01) );

sopVox.set ("tilt", Std.rand2f(0.01,0.02) );
sopVox.set ("portt", Std.rand2f(0.01,0.06) );

true => int playing;
0 => int cnt;

while (playing)
{
    
    sop[cnt][0] => int pit;
    sop[cnt][1] => int duration;
    sop[cnt][2] => int vow;
    
    if (pit == 0)
    {
        sopVox.set("amp", 0.0 );
    }
    else
    {
        sopVox.set("amp", 0.2 );
    }
    
    freq.next( Std.mtof(pit) );
    lfo.freq( Math.rand2f (4, 6) );
    lfo.gain(pit * (Math.pow( 2, ( Math.rand2f (0.3,0.5) ) /12 ) -1.0));
    
    sopVox.set("vow", vow );
    cnt++;
    
    if(cnt == nNotes)
    {
        false => playing;
    }
    
    
    duration/4 => duration;
    duration::second => now;
}