// Missa Prolationum, Kyrie
// Kyrie I -- Superius

54 => int nNotes;

int sop [nNotes][3];

// vowels
0 => int ee;
1 => int ih;
2 => int eh;
3 => int aa;
4 => int ah;
5 => int aw;
6 => int oh;
7 => int uh;
8 => int uu;
9 => int oo;

[65, 16, ee] @=> sop[0]; // 
[60, 16, ee] @=> sop[1];
[65, 16, eh] @=> sop[2];
[69, 17, eh] @=> sop[3];
[0, 7, eh] @=> sop[4];
[64, 8, eh] @=> sop[5];
[65, 16, eh] @=> sop[6];
[64, 8, eh] @=> sop[7];
[60, 8, eh] @=> sop[8];
[60, 8, aw] @=> sop[9];
[0, 8, 5] @=> sop[10];
[65, 16, ee] @=> sop[11];
[67, 12, ee] @=> sop[12];
[64, 4, ee] @=> sop[13];
[64, 8, eh] @=> sop[14];
[65, 8, ee] @=> sop[15];
[65, 4, ee] @=> sop[16];
[69, 6, ee] @=> sop[17];
[71, 2, ee] @=> sop[18];
[72, 4, ee] @=> sop[19];
[71, 4, ee] @=> sop[20];
[71, 8, ee] @=> sop[21];
[69, 2, ee] @=> sop[22];
[71, 2, ee] @=> sop[23];
[72, 8, eh] @=> sop[24];
[0, 8, 5] @=> sop[25];
[69, 8, eh] @=> sop[26];
[65, 8, eh] @=> sop[27];
[67, 8, eh] @=> sop[28];
[65, 8, eh] @=> sop[29];
[64, 8, eh] @=> sop[30];
[60, 8, aw] @=> sop[31];
[60, 8, aw] @=> sop[32];
[72, 8, ee] @=> sop[33];
[70, 4, ee] @=> sop[34];
[74, 8, eh] @=> sop[35];
[72, 2, ee] @=> sop[36];
[70, 2, ee] @=> sop[37];
[69, 16, eh] @=> sop[38];
[69, 8, eh] @=> sop[39];
[65, 8, eh] @=> sop[40];
[65, 12, eh] @=> sop[41];
[64, 2, eh] @=> sop[42];
[62, 2, eh] @=> sop[43];
[60, 8, aw] @=> sop[44];
[0, 4, 2] @=> sop[45];
[65, 4, eh] @=> sop[46];
[65, 4, eh] @=> sop[47];
[67, 4, eh] @=> sop[48];
[69, 8, eh] @=> sop[49];
[70, 12, eh] @=> sop[50];
[67, 4, eh] @=> sop[51];
[69, 8, eh] @=> sop[52];
[69, 16, aw] @=> sop[53];

0 => int cnt;

Step freq => Faustfmv sopVox => dac;

TriOsc lfo => sopVox;

sopVox.set ("portf0", Std.rand2f(0.009,0.009) );
sopVox.set ("portv", Std.rand2f(0.01,0.01) );
sopVox.set ("porta", Std.rand2f(0.01,0.01) );

sopVox.set ("tilt", Std.rand2f(0.01,0.02) );
sopVox.set ("portt", Std.rand2f(0.01,0.06) );

true => int playing;

while (playing)
{
    sop[cnt][0] => int pit;
    sop[cnt][1] => int duration;
    sop[cnt][2] => int vow;
    
    if (pit == 0)
    {
        sopVox.set("amp", 0.0 );
    }
    else
    {
        sopVox.set("amp", 0.1 );
    }
    
    freq.next( Std.mtof(pit) );
    lfo.freq( Math.rand2f (4, 6) );
    lfo.gain(pit * (Math.pow( 2, ( Math.rand2f (0.3,0.7) ) /12 ) -1.0));
    
    sopVox.set("vow", vow );
    cnt++;

if(cnt == nNotes)
{
    false => playing;
}
    duration/6 => duration;
    duration::second => now;
}

