// Missa Prolationum, Kyrie
// Kyrie II -- Superius

// vowels
0 => int ee;
1 => int ih;
2 => int eh;
3 => int aa;
4 => int ah;
5 => int aw;
6 => int oh;
7 => int uh;
8 => int uu;
9 => int oo;

100 => int nNotes;

int sop [nNotes][3];

[64, 16, ee] @=> sop[0];
[60, 16, ee] @=> sop[1];
[64, 16, ee] @=> sop[2];
[69, 16, eh] @=> sop[3];
[0, 16, 0] @=> sop[4];
[69, 16, eh] @=> sop[5];
[64, 8, eh] @=> sop[6];
[66, 8, eh] @=> sop[7];
[68, 8, eh] @=> sop[8];
[69, 8, eh] @=> sop[9];
[72, 6, eh] @=> sop[10];
[71, 2, eh] @=> sop[11];
[69, 8, eh] @=> sop[12];
[68, 8, oh] @=> sop[13];
[0, 8, 0] @=> sop[14];
[68, 8, eh] @=> sop[15];
[69, 6, eh] @=> sop[16];
[71, 2, eh] @=> sop[17];
[72, 4, eh] @=> sop[18];
[72, 8, eh] @=> sop[19];
[69, 4, eh] @=> sop[20];
[68, 4, eh] @=> sop[21];
[72, 6, eh] @=> sop[22];
[71, 2, eh] @=> sop[23];
[69, 4, eh] @=> sop[24];
[69, 4, eh] @=> sop[25];
[68, 4, eh] @=> sop[26];
[69, 8, oh] @=> sop[27];
[0, 8, 0] @=> sop[28];
[69, 6, ee] @=> sop[29];
[71, 2, ee] @=> sop[30];
[72, 16, ee] @=> sop[31];
[70, 8, eh] @=> sop[32];
[0, 4, 0] @=> sop[33];
[69, 4, eh] @=> sop[34];
[69, 2, eh] @=> sop[35];
[68, 2, eh] @=> sop[36];
[64, 4, eh] @=> sop[37];
[66, 8, eh] @=> sop[38];
[64, 8, oh] @=> sop[39];
[0, 8, 0] @=> sop[40];
[71, 8, ee] @=> sop[41];
[72, 8, ee] @=> sop[42];
[72, 4, ee] @=> sop[43];
[70, 4, ee] @=> sop[44];
[69, 6, ee] @=> sop[45];
[66, 2, ee] @=> sop[46];
[68, 4, ee] @=> sop[47];
[69, 4, eh] @=> sop[48];
[0, 4, 0] @=> sop[49];
[66, 4, eh] @=> sop[50];
[66, 2, eh] @=> sop[51];
[62, 2, eh] @=> sop[52];
[64, 4, eh] @=> sop[53];
[57, 4, eh] @=> sop[54];
[64, 4, eh] @=> sop[55];
[66, 4, eh] @=> sop[56];
[62, 4, eh] @=> sop[57];
[60, 4, eh] @=> sop[58];
[66, 4, eh] @=> sop[59];
[68, 4, eh] @=> sop[60];
[69, 8, eh] @=> sop[61];
[68, 2, eh] @=> sop[62];
[66, 2, eh] @=> sop[63];
[64, 8, eh] @=> sop[64];
[66, 4, eh] @=> sop[65];
[64, 4, eh] @=> sop[66];
[66, 4, eh] @=> sop[67];
[62, 4, eh] @=> sop[68];
[60, 4, eh] @=> sop[69];
[66, 4, eh] @=> sop[70];
[68, 4, eh] @=> sop[71];
[69, 8, eh] @=> sop[72];
[66, 4, eh] @=> sop[73];
[66, 4, eh] @=> sop[74];
[64, 4, eh] @=> sop[75];
[65, 32, oh] @=> sop[76];

Step freq => Faustfmv sopVox => dac;

TriOsc lfo => sopVox;

sopVox.set ("portf0", Std.rand2f(0.008,0.009) );
sopVox.set ("portv", Std.rand2f(0.02,0.01) );
sopVox.set ("porta", Std.rand2f(0.02,0.01) );

sopVox.set ("tilt", Std.rand2f(0.01,0.02) );
sopVox.set ("portt", Std.rand2f(0.01,0.06) );

true => int playing;

0 => int cnt;

while (playing)
{
    
    sop[cnt][0] => int pit;
    sop[cnt][1] => int duration;
    sop[cnt][2] => int vow;
    
    if (pit == 0)
    {
        sopVox.set("amp", 0.0 );
    }
    else
    {
        sopVox.set("amp", 0.1 );
    }
    
    freq.next( Std.mtof(pit) );
    lfo.freq( Math.rand2f (4, 6) );
    lfo.gain(pit * (Math.pow( 2, ( Math.rand2f (0.3,0.7) ) /12 ) -1.0));
    
    sopVox.set("vow", vow );
    cnt++;
    
    if(cnt == nNotes )
    {
        false => playing;
    }
    
    
    (duration)/6 => duration;
    duration::second => now;
}