// Missa Prolationum, Kyrie
// Christe -- Altus

// vowels
0 => int ee;
1 => int ih;
2 => int eh;
3 => int aa;
4 => int ah;
5 => int aw;
6 => int oh;
7 => int uh;
8 => int uu;
9 => int oo;

100 => int nNotes;

int alto [nNotes][3];

[N.F5, 12, 0] @=> alto[0];
[N.D5, 4, 0] @=> alto[1];
[N.F5, 4, 0] @=> alto[2];
[N.G5, 6, 0] @=> alto[3];
[N.F5, 2, 0] @=> alto[4];
[N.D5, 4, 0] @=> alto[5];
[N.C5, 4, 0] @=> alto[6];
[N.F5, 4, 0] @=> alto[7];
[N.G5, 4, 0] @=> alto[8];
[N.Bb5, 4, 0] @=> alto[9];
[N.A5, 4, 0] @=> alto[10];
[N.C6, 6, 0] @=> alto[11];
[N.Bb5, 2, 0] @=> alto[12];
[N.G5, 4, 0] @=> alto[13];
[N.F5, 4, 0] @=> alto[14];
[N.A5, 6, 0] @=> alto[15];
[N.G5, 2, 0] @=> alto[16];
[N.E5, 4, 0] @=> alto[17];
[N.D5, 4, 0] @=> alto[18];
[N.F5, 6, 0] @=> alto[19];
[N.E5, 2, 0] @=> alto[20];
[N.C5, 4, 0] @=> alto[21];
[0, 4, 0] @=> alto[22];
[N.F5, 2, 0] @=> alto[23];
[N.G5, 2, 0] @=> alto[24];
[N.A5, 4, 0] @=> alto[25];
[N.Bb5, 4, 0] @=> alto[26];
[N.C6, 2, 0] @=> alto[27];
[N.Bb5, 1, 0] @=> alto[28];
[N.G5, 1, 0] @=> alto[29];
[N.G5, 4, 0] @=> alto[30];
[N.Gb5, 2, 0] @=> alto[31];
[N.G5, 8, 0] @=> alto[32];
[0, 4, 0] @=> alto[33];
[N.G5, 8, 0] @=> alto[34];
[N.A5, 4, 0] @=> alto[35];
[N.Bb5, 8, 0] @=> alto[36];
[N.A5, 4, 0] @=> alto[37];
[N.F5, 4, 0] @=> alto[38];
[N.G5, 4, 0] @=> alto[39];
[N.A5, 8, 0] @=> alto[40];
[N.G5, 4, 0] @=> alto[41];
[N.E5, 2, 0] @=> alto[42];
[N.F5, 3, 0] @=> alto[43];
[N.E5, 1, 0] @=> alto[44];
[N.D5, 1, 0] @=> alto[45];
[N.C5, 1, 0] @=> alto[46];
[N.Bb5, 3, 0] @=> alto[47];
[N.C5, 1, 0] @=> alto[48];
[N.D5, 4, 0] @=> alto[49];
[N.Bb5, 2, 0] @=> alto[50];
[N.C5, 4, 0] @=> alto[51];
[N.Bb5, 1, 0] @=> alto[52];
[N.A5, 1, 0] @=> alto[53];
[N.G4, 2, 0] @=> alto[54];
[N.C5, 4, 0] @=> alto[55];
[N.Bb5, 2, 0] @=> alto[56];
[N.C5, 16, oh] @=> alto[57];

0 => int cnt;

Step freq => Faustfmv altoVox => dac.left;
TriOsc lfo => altoVox;

altoVox.set ("portf0", 0.003 );
altoVox.set ("portv", 0.05 );
altoVox.set ("porta", 0.04 );

altoVox.set ("tilt", 0.04 );
altoVox.set ("portt", 0.01 );

true => int playing;

while (playing)
{
    alto[cnt][0] => int pit;
    alto[cnt][1] => int duration;
    alto[cnt][2] => int vow;
    
    if (pit == 0)
    {
        altoVox.set("amp", 0.0 );
    }
    else
    {
        altoVox.set("amp", 0.2 );
    }
    
    freq.next( Std.mtof(pit) );
    lfo.freq( Math.rand2f (6, 6.01) );
    lfo.gain(pit * (Math.pow( 2, ( Math.rand2f (0.9,1.0) ) /12 ) -1.0));    
    
    altoVox.set("vow", vow );
    cnt++;
    if(cnt == nNotes)
    {
        false => playing;
    }
    
    duration/4 => duration;
    duration::second => now;
}

