// Missa Prolationum, Kyrie
// Kyrie I -- Altus

// vowels
0 => int ee;
1 => int ih;
2 => int eh;
3 => int aa;
4 => int ah;
5 => int aw;
6 => int oh;
7 => int uh;
8 => int uu;
9 => int oo;

100 => int nNotes;

int alto [nNotes][3];

[65, 12, ee] @=> alto[0]; 
[60, 12, ee] @=> alto[1]; 
[65, 12, eh] @=> alto[2]; 
[69, 12, eh] @=> alto[3]; 
[0, 4, 7] @=> alto[4];
[64, 8, eh] @=> alto[5]; 
[65, 12, eh] @=> alto[6]; 
[64, 4, eh] @=> alto[7]; 
[60, 4, eh] @=> alto[8]; 
[60, 4, oh] @=> alto[9]; 
[0, 4, 7] @=> alto[10];
[65, 8, ee] @=> alto[11]; 
[67, 6, ee] @=> alto[12]; 
[64, 2, ee] @=> alto[13]; 
[64, 4, eh] @=> alto[14]; 
[65, 6, ee] @=> alto[15]; 
[69, 3, ee] @=> alto[16];
[71, 1, ee] @=> alto[17];
[72, 2, ee] @=> alto[18];
[71, 2, ee] @=> alto[19];
[71, 4, ee] @=> alto[20];
[69, 1, ee] @=> alto[21];
[71, 1, ee] @=> alto[22];
[72, 4, eh] @=> alto[23];
[0, 4, 0] @=> alto[24];
[69, 4, eh] @=> alto[25];
[65, 4, eh] @=> alto[26];
[67, 4, eh] @=> alto[27];
[65, 4, eh] @=> alto[28];
[64, 4, eh] @=> alto[29];
[60, 8, oh] @=> alto[30];
[72, 4, ee] @=> alto[31];
[70, 2, ee] @=> alto[32];
[74, 4, ee] @=> alto[33];
[72, 1, ee] @=> alto[34];
[70, 1, ee] @=> alto[35];
[69, 4, eh] @=> alto[36];
[69, 8, eh] @=> alto[37];
[65, 4, eh] @=> alto[38];
[65, 6, eh] @=> alto[39];
[64, 1, eh] @=> alto[40];
[62, 1, eh] @=> alto[41];
[60, 16, oh] @=> alto[42];


0 => int cnt;

Step freq => Faustfmv altoVox => dac;
TriOsc lfo => altoVox;

altoVox.set ("portf0", 0.02 );
altoVox.set ("portv", Std.rand2f(0.03, 0.05) );
altoVox.set ("porta", 0.04 );

altoVox.set ("tilt", 0.04 );
altoVox.set ("portt", 0.01 );

true => int playing;

while (playing)
{
    alto[cnt][0] => int pit;
    alto[cnt][1] => int duration;
    alto[cnt][2] => int vow;
    
    if (pit == 0)
    {
        altoVox.set("amp", 0.0 );
    }
    else
    {
        altoVox.set("amp", 0.1 );
    }
      
    freq.next( Std.mtof(pit) );
    lfo.freq( Math.rand2f (6, 6.01) );
    lfo.gain(pit * (Math.pow( 2, ( Math.rand2f (1.0,1.5) ) /12 ) -1.0));    
    
    altoVox.set("vow", vow );
    cnt++;
    if(cnt == nNotes)
    {
        false => playing;
    }
    
    duration/4 => duration;
    duration::second => now;
}

