// Missa Prolationum -- Kyrie
// Christe I, Bass

// vowels
0 => int ee;
1 => int ih;
2 => int eh;
3 => int aa;
4 => int ah;
5 => int aw;
6 => int oh;
7 => int uh;
8 => int uu;
9 => int oo;

100 => int nNotes;

int bass [nNotes][3];

[N.Bb4, 16, 7] @=> bass[0];
[N.A4, 8, 7] @=> bass[1];
[N.Bb4, 4, 7] @=> bass[2];
[N.G4, 4, 7] @=> bass[3];
[N.F4, 8, 7] @=> bass[4];
[N.E4, 8, 7] @=> bass[5];
[N.F4, 4, 7] @=> bass[6];
[N.D4, 4, 7] @=> bass[7];
[N.C4, 8, 7] @=> bass[8];
[N.Bb3, 4, 7] @=> bass[9];
[0, 2, 7] @=> bass[10];
[N.F4, 4, 7] @=> bass[11];
[N.G4, 2, 7] @=> bass[12];
[N.Bb4, 6, 7] @=> bass[13];
[N.C5, 4, 7] @=> bass[14];
[N.Bb4, 2, 7] @=> bass[15];
[N.G4, 2, 7] @=> bass[16];
[N.F4, 2, 7] @=> bass[17];
[N.Bb4, 1, 7] @=> bass[18];
[N.C5, 2, 7] @=> bass[19];
[N.A4, 4, 7] @=> bass[20];
[N.G4, 8, 7] @=> bass[21];
[N.C5, 16, 7] @=> bass[22];
[N.Bb4, 4, 7] @=> bass[23];
[N.G4, 4, 7] @=> bass[24];
[N.A4, 4, 7] @=> bass[25];
[N.Bb4, 8, 7] @=> bass[26];
[N.A4, 4, 7] @=> bass[27];
[N.F4, 4, 7] @=> bass[28];
[N.G4, 4, 7] @=> bass[29];
[N.A4, 8, 7] @=> bass[30];
[N.G4, 4, 7] @=> bass[31];
[N.F4, 2, 7] @=> bass[32];
[N.G4, 3, 7] @=> bass[33];
[N.F4, 1, 7] @=> bass[34];
[N.E4, 1, 7] @=> bass[35];
[N.D4, 1, 7] @=> bass[36];
[N.C4, 2, 7] @=> bass[37];
[N.D4, 2, 7] @=> bass[38];
[N.E4, 2, 7] @=> bass[39];
[N.F4, 2, 7] @=> bass[40];
[N.D4, 4, 7] @=> bass[41];
[N.C4, 8, oh] @=> bass[42];



0 => int cnt;

Step freq => Faustfmv bassVox => dac;
TriOsc lfo => bassVox;

bassVox.set ("portf0", Std.rand2f(0.05, 0.06) );
bassVox.set ("portv", Std.rand2f(0.05, 0.06) );
bassVox.set ("porta", Std.rand2f(0.05, 0.01) );

bassVox.set ("tilt", Std.rand2f(0, 0.02) );
bassVox.set ("portt", Std.rand2f(0.01, 0.02) );

true => int playing;

while (playing)
{
    bass[cnt][0] => int pit;
    bass[cnt][1] => int duration;
    bass[cnt][2] => int vow;
    
    if (pit == 0)
    {
        bassVox.set("amp", 0.0 );
    }
    else
    {
        bassVox.set("amp", 0.3 );
    }
    
    freq.next( Std.mtof(pit) );
    lfo.freq( Math.rand2f (6, 6.03) );
    lfo.gain(pit * (Math.pow( 2, ( Math.rand2f (0.2,1.5) ) /12 ) -1.0));
    
    
    bassVox.set("vow", vow );
    cnt++;
    if(cnt == nNotes)
    {
        false => playing;
    }
    
    duration/3 => duration;
    duration::second => now;
}

