// Missa Prolationum, Kyrie
// Christe -- Tenor
0 => int ee;
1 => int ih;
2 => int eh;
3 => int aa;
4 => int ah;
5 => int aw;
6 => int oh;
7 => int uh;
8 => int uu;
9 => int oo;
45 => int nNotes;

int tnr [nNotes][3];

[N.C5, 32, 0] @=> tnr[0];
[N.Bb4, 8, 0] @=> tnr[1];
[N.C5, 4, 0] @=> tnr[2];
[N.A4, 4, 0] @=> tnr[3];
[N.G4, 8, 0] @=> tnr[4];
[N.F4, 8, 2] @=> tnr[5];
[N.G4, 4, 2] @=> tnr[6];
[N.Eb4, 4, 2] @=> tnr[7];
[N.D4, 8, 2] @=> tnr[8];
[N.C4, 4, 2] @=> tnr[9];
[0, 2, 7] @=> tnr[10];
[N.G4, 4, 2] @=> tnr[11];
[N.A4, 2, 2] @=> tnr[12];
[N.Bb4, 4, 2] @=> tnr[13];
[N.C5, 6, 2] @=> tnr[14];
[N.D5, 4, 2] @=> tnr[15];
[N.C5, 2, 2] @=> tnr[16];
[N.A4, 2, 2] @=> tnr[17];
[N.G4, 2, 2] @=> tnr[18];
[N.C5, 2, 2] @=> tnr[19];
[N.D5, 2, 2] @=> tnr[20];
[N.Bb4, 4, 2] @=> tnr[21];
[N.A4, 8, oh] @=> tnr[22];
[N.D5, 8, ee] @=> tnr[23];
[N.D5, 8, ee] @=> tnr[24];
[N.C5, 4, ee] @=> tnr[25];
[N.A4, 4, ee] @=> tnr[26];
[N.Bb4, 4, ee] @=> tnr[27];
[N.C5, 8, ee] @=> tnr[28];
[N.Bb4, 4, ee] @=> tnr[29];
[N.G4, 4, ee] @=> tnr[30];
[N.A4, 4, ee] @=> tnr[31];
[N.Bb4, 8, ee] @=> tnr[32];
[N.A4, 4, eh] @=> tnr[33];
[N.G4, 2, eh] @=> tnr[34];
[N.A4, 3, eh] @=> tnr[35];
[N.G4, 1, eh] @=> tnr[36];
[N.F4, 1, eh] @=> tnr[37];
[N.E4, 1, eh] @=> tnr[38];
[N.D4, 2, eh] @=> tnr[39];
[N.E4, 2, eh] @=> tnr[40];
[N.F4, 2, eh] @=> tnr[41];
[N.G4, 2, eh] @=> tnr[42];
[N.E4, 2, eh] @=> tnr[43];
[N.D4, 8, oh] @=> tnr[44];


0 => int cnt;

Step freq => Faustfmv tnrVox => dac;
TriOsc lfo => tnrVox;

tnrVox.set ("portf0", 0.05 );
tnrVox.set ("portv", 0.05 );
tnrVox.set ("porta", 0.04 );

tnrVox.set ("tilt", 0.04 );
tnrVox.set ("portt", 0.01 );

true => int playing;

while (playing)
{
    tnr[cnt][0] => int pit;
    tnr[cnt][1] => int duration;
    tnr[cnt][2] => int vow;
    
    if (pit == 0)
    {
        tnrVox.set("amp", 0.0 );
    }
    else
    {
        tnrVox.set("amp", 0.1 );
    }
    
    freq.next( Std.mtof(pit) );
    lfo.freq( Math.rand2f (5, 5.01) );
    lfo.gain(pit * (Math.pow( 2, ( Math.rand2f (0.5,1.5) ) /12 ) -1.0));
    
    
    tnrVox.set("vow", vow );
    cnt++;
    if(cnt == nNotes)
    {
        false => playing;
    }
    
    duration/3 => duration;
    duration::second => now;
}

