// Missa Prolationum -- Kyrie
// Kyrie I, Tenor

0 => int ee;
1 => int ih;
2 => int eh;
3 => int aa;
4 => int ah;
5 => int aw;
6 => int oh;
7 => int uh;
8 => int uu;
9 => int oo;

100 => int nNotes;

int tnr [nNotes][3];

[53, 16, ee] @=> tnr[0];
[57, 12, ee] @=> tnr[1];
[53, 12, ee] @=> tnr[2];
[60, 16, eh] @=> tnr[3];
[57, 12, eh] @=> tnr[4];
[53, 12, eh] @=> tnr[5];
[48, 16, oh] @=> tnr[6];
[60, 16, ee] @=> tnr[7];
[57, 16, ee] @=> tnr[8];
[55, 16, ee] @=> tnr[9];
[57, 8, ee] @=> tnr[10];
[53, 8, ee] @=> tnr[11];
[60, 16, ee] @=> tnr[12];
[62, 16, ee] @=> tnr[13];
[60, 16, ee] @=> tnr[14];
[53, 8, ee] @=> tnr[15];
[57, 8, ee] @=> tnr[16];
[55, 6, ee] @=> tnr[17];
[53, 4, eh] @=> tnr[18];
[50, 8, eh] @=> tnr[19];
[57, 12, eh] @=> tnr[20];
[58, 4, eh] @=> tnr[21];
[60, 8, eh] @=> tnr[22];
[57, 8, eh] @=> tnr[23];
[0, 4, eh] @=> tnr[24];
[58, 8, eh] @=> tnr[25];
[57, 4, eh] @=> tnr[26];
[60, 8, oh] @=> tnr[27];
[53, 16, oh] @=> tnr[28];
[53, 8, oh] @=> tnr[29];
[46, 8, ee] @=> tnr[30];
[53, 8, ee] @=> tnr[31];
[53, 4, ee] @=> tnr[32];
[57, 8, eh] @=> tnr[33];
[58, 4, eh] @=> tnr[34];
[60, 8, eh] @=> tnr[35];
[62, 12, oh] @=> tnr[36];
[58, 4, eh] @=> tnr[37];
[60, 16, eh] @=> tnr[38];
[60, 24, oh] @=> tnr[40];


0 => int cnt;

Step freq => Faustfmv tnrVox => dac;
TriOsc lfo => tnrVox;

tnrVox.set ("portf0", 0.05 );
tnrVox.set ("portv", 0.05 );
tnrVox.set ("porta", 0.04 );

tnrVox.set ("tilt", 0.04 );
tnrVox.set ("portt", 0.01 );

true => int playing;


while (playing)
{
    tnr[cnt][0] => int pit;
    tnr[cnt][1] => int duration;
    tnr[cnt][2] => int vow;
    
    if (pit == 0)
    {
        tnrVox.set("amp", 0.0 );
    }
    else
    {
        tnrVox.set("amp", 0.1  );
    }
    
    freq.next( Std.mtof(pit) );
    lfo.freq( Math.rand2f (5, 6.01) );
    lfo.gain(pit * (Math.pow( 2, ( Math.rand2f (0.3,1.5) ) /12 ) -1.0));
    
    
    tnrVox.set("vow", vow );
    cnt++;
    if(cnt == nNotes)
    {
        false => playing;
    }
    <<< cnt >>>;
    (duration+2)/6 => duration;
    duration::second => now;
}

