// Missa Prolationum -- Kyrie
// Kyrie II, Tenor


// vowels
0 => int ee;
1 => int ih;
2 => int eh;
3 => int aa;
4 => int ah;
5 => int aw;
6 => int oh;
7 => int uh;
8 => int uu;
9 => int oo;

60 => int nNotes;

int tnr [nNotes][3];

[60, 24, ee] @=> tnr[0];
[60, 24, ee] @=> tnr[1];
[57, 16, ee] @=> tnr[2];
[60, 16, eh] @=> tnr[3];
[53, 16, eh] @=> tnr[4];
[52, 8, eh] @=> tnr[5];
[57, 6, eh] @=> tnr[6];
[55, 2, eh] @=> tnr[7];
[62, 8, oh] @=> tnr[8];
[0, 8, eh] @=> tnr[9];
[57, 8, 7] @=> tnr[10];
[60, 4, 7] @=> tnr[11];
[62, 4, 7] @=> tnr[12];
[64, 8, 7] @=> tnr[13];
[57, 8, 7] @=> tnr[14];
[59, 8, 7] @=> tnr[15];
[57, 12, oh] @=> tnr[16];
[0, 8, 7] @=> tnr[17];
[57, 8, ee] @=> tnr[18];
[55, 8, ee] @=> tnr[19];
[0, 4, ee] @=> tnr[20];
[60, 8, ee] @=> tnr[21];
[57, 8, ee] @=> tnr[22];
[59, 4, ee] @=> tnr[23];
[60, 6, ee] @=> tnr[24];
[62, 2, ee] @=> tnr[25];
[64, 4, ee] @=> tnr[26];
[57, 4, ee] @=> tnr[27];
[59, 8, ee] @=> tnr[28];
[57, 12, eh] @=> tnr[29];
[52, 4, eh] @=> tnr[30];
[53, 8, eh] @=> tnr[31];
[48, 4, eh] @=> tnr[32];
[60, 6, eh] @=> tnr[33];
[59, 2, eh] @=> tnr[34];
[57, 4, eh] @=> tnr[35];
[55, 8, oh] @=> tnr[36];
[0, 4, 7] @=> tnr[37];
[60, 8, ee] @=> tnr[38];
[59, 4, ee] @=> tnr[39];
[60, 4, ee] @=> tnr[40];
[53, 4, ee] @=> tnr[41];
[58, 4, ee] @=> tnr[42];
[57, 4, ee] @=> tnr[43];
[53, 4, ee] @=> tnr[44];
[57, 4, eh] @=> tnr[45];
[0, 4, 7] @=> tnr[46];
[55, 4, eh] @=> tnr[47];
[57, 4, eh] @=> tnr[48];
[52, 4, eh] @=> tnr[49];
[57, 4, eh] @=> tnr[50];
[58, 4, eh] @=> tnr[51];
[60, 4, eh] @=> tnr[52];
[53, 4, eh] @=> tnr[53];
[58, 4, eh] @=> tnr[54];
[57, 4, eh] @=> tnr[55];
[53, 8, eh] @=> tnr[56];
[55, 8, eh] @=> tnr[57];
[53, 24,oh] @=> tnr[58];


0 => int cnt;

Step freq => Faustfmv tnrVox => dac;
TriOsc lfo => tnrVox;

tnrVox.set ("portf0", 0.05 );
tnrVox.set ("portv", 0.05 );
tnrVox.set ("porta", 0.04 );

tnrVox.set ("tilt", 0.04 );
tnrVox.set ("portt", 0.01 );

true => int playing;


while (playing)
{
    tnr[cnt][0] => int pit;
    tnr[cnt][1] => int duration;
    tnr[cnt][2] => int vow;
    
    if (pit == 0)
    {
        tnrVox.set("amp", 0.0 );
    }
    else
    {
        tnrVox.set("amp", 0.1 );
    }
    
    freq.next( Std.mtof(pit) );
    lfo.freq( Math.rand2f (5, 6.01) );
    lfo.gain(pit * (Math.pow( 2, ( Math.rand2f (0.3,1.5) ) /12 ) -1.0));
    
    
    tnrVox.set("vow", vow );
    cnt++;
    if(cnt == nNotes)
    {
        false => playing;
    }
    <<< cnt >>>;
    (duration+1)/5 => duration;
    duration::second => now;
}




